Package org.firebirdsql.gds.ng.wire

## Interface FbWireStatement

All Superinterfaces:
  `ExceptionListenable`, `FbStatement`

All Known Implementing Classes:
  `AbstractFbWireStatement`, `V10Statement`, `V11Statement`, `V12Statement`, `V13Statement`, `V16Statement`

    public interface FbWireStatement
    extends FbStatement

Interface for Statements created for the wire protocol implementation.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Methods inherited from interface org.firebirdsql.gds.ng.FbStatement

`addStatementListener, close, closeCursor, closeCursor, emptyRowDescriptor, ensureClosedCursor, execute, fetchRows, getDatabase, getDefaultSqlInfoSize, getExecutionPlan, getExplainedExecutionPlan, getFieldDescriptor, getHandle, getMaxSqlInfoSize, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getSqlInfo, getState, getTimeout, getTransaction, getType, prepare, removeStatementListener, setCursorName, setTimeout, setTransaction, validateParameters`